<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package Siempel
 * @since Siempel 0.1
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1">
<title><?php wp_title( '|', true, 'right' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<!--[if lt IE 9]>
<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
<![endif]-->
<?php $options = get_option('siempel_theme_options'); ?>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="page" class="site">
	<?php do_action( 'before' ); ?>
	<header id="masthead" class="clearfix site-header" role="banner">
		<nav role="navigation" class="site-navigation main-navigation">
			<div class="assistive-text skip-link"><a href="#content" title="Skip to content">Читать дальше</a></div>
			<?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
			<h1 class="assistive-text"><i class="fa fa-bars"></i></h1>
		</nav><!-- .site-navigation .main-navigation -->
	</header><!-- #masthead .site-header -->
	<?php if ( is_home() ) : ?>
	<div class="about">
		<div class="grid w960 row">
			<div class="c8">
				<?php if ( $options['tentang'] != '' ) : ?>
				<p><?php echo $options['tentang'];?></p>
				<?php else : ?>
				<p>Вы можете изменить этот текст</p>
				<?php endif; ?>
				<?php if ( $options['namalengkap'] != '' ) : ?>
				<p>- <em><?php echo $options['namalengkap'];?></em> -</p>
				<?php endif; ?>
			</div>
			<div class="c4 end">
				<?php if ( $options['foto'] != '' ) : ?>
				<img src="<?php echo esc_url( $options['foto'] ); ?>" alt="<?php echo $options['namalengkap'];?>">
				<?php else: ?>
				<img src="<?php echo get_template_directory_uri(); ?>/img/no-avatar.png" alt="No Pictures">
				<?php endif; ?>
			</div>
			<div class="c12 social">
				<?php if ( $options['facebook'] != '' ) : ?>
				<!-- Facebook -->
				<a href="<?php echo esc_url( $options['facebook'] ); ?>"><i class="fa fa-facebook"></i></a>
				<?php endif; ?>

				<?php if ( $options['twitter'] != '' ) : ?>
				<!-- Twitter -->
				<a href="<?php echo esc_url( $options['twitter'] ); ?>"><i class="fa fa-twitter"></i></a>
				<?php endif; ?>

				<?php if ( $options['gplus'] != '' ) : ?>
				<!-- Google Plus -->
				<a href="<?php echo esc_url( $options['gplus'] );?>"><i class="fa fa-google-plus"></i></a>
				<?php endif; ?>

				<?php if ( $options['email'] != '' ) : ?>
				<!-- Email -->
				<a href="mailto:<?php echo $options['email'];?>"><i class="fa fa-envelope"></i></a>
				<?php endif; ?>

				<?php if ( $options['dribbble'] != '' ) : ?>
				<!-- Dribbble -->
				<a href="<?php echo esc_url( $options['dribbble'] );?>"><i class="fa fa-dribbble"></i></a>
				<?php endif; ?>

				<?php if ( $options['github'] != '' ) : ?>
				<!-- Github -->
				<a href="<?php echo esc_url( $options['github'] );?>"><i class="fa fa-github-square"></i></a>
				<?php endif; ?>

				<?php if ( $options['youtube'] != '' ) : ?>
				<!-- Youtube Channel -->
				<a href="<?php echo esc_url( $options['youtube'] );?>"><i class="fa fa-youtube-play"></i></a>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<?php endif; ?>
	<div class="content">
	<div id="main" class="grid w960 row">