<?php
/**
 * The template for displaying image attachments.
 *
 * @package Siempel
 * @since Siempel 0.1
 */
get_header();
?>
		<div id="primary" class="content-area image-attachment">
			<div id="content" class="site-content" role="main">
			<?php while ( have_posts() ) : the_post(); ?>
				<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<header class="entry-header">
						<h1 class="entry-title"><?php the_title(); ?></h1>
						<div class="entry-meta">
							<?php
								$metadata = wp_get_attachment_metadata();
								printf( '<i class="fa fa-calendar"></i> <span class="entry-date"><time class="entry-date" datetime="%1$s">%2$s</time></span> in <a href="%4$s" title="Вернуться к %5$s" rel="gallery">%6$s</a> | <i class="fa fa-external-link"></i> <a href="%3$s" target="_blank" title="Ссылка на полноразмерное изображение">Полноразмерное изображение</a>',
									esc_attr( get_the_date( 'c' ) ),
									esc_html( get_the_date() ),
									wp_get_attachment_url(),
									get_permalink( $post->post_parent ),
									esc_attr( get_the_title( $post->post_parent ) ),
									get_the_title( $post->post_parent )
								);
							?>
							<?php edit_post_link( 'Редактировать', '<span class="sep"> | </span> <i class="fa fa-pencil"></i> <span class="edit-link">', '</span>' ); ?>
						</div><!-- .entry-meta -->
					</header><!-- .entry-header -->
					<div class="entry-content">
						<div class="entry-attachment">
							<div class="attachment">
								<?php
									/**
									 * Grab the IDs of all the image attachments in a gallery so we can get the URL of the next adjacent image in a gallery,
									 * or the first image (if we're looking at the last image in a gallery), or, in a gallery of one, just the link to that image file
									 */
									$attachments = array_values( get_children( array(
										'post_parent'    => $post->post_parent,
										'post_status'    => 'inherit',
										'post_type'      => 'attachment',
										'post_mime_type' => 'image',
										'order'          => 'ASC',
										'orderby'        => 'menu_order ID'
									) ) );
									foreach ( $attachments as $k => $attachment ) {
										if ( $attachment->ID == $post->ID )
											break;
									}
									$k++;
									// If there is more than 1 attachment in a gallery
									if ( count( $attachments ) > 1 ) {
										if ( isset( $attachments[ $k ] ) )
											// get the URL of the next image attachment
											$next_attachment_url = get_attachment_link( $attachments[ $k ]->ID );
										else
											// or get the URL of the first image attachment
											$next_attachment_url = get_attachment_link( $attachments[ 0 ]->ID );
									} else {
										// or, if there's only 1 image, get the URL of the image
										$next_attachment_url = wp_get_attachment_url();
									}
								?>
								<a href="<?php echo $next_attachment_url; ?>" title="<?php echo esc_attr( get_the_title() ); ?>" rel="attachment"><?php
									$attachment_size = apply_filters( 'siempel_attachment_size', array( 1200, 1200 ) ); // Filterable image size.
									echo wp_get_attachment_image( $post->ID, $attachment_size );
								?></a>
							</div><!-- .attachment -->
							<?php if ( ! empty( $post->post_excerpt ) ) : ?>
							<div class="entry-caption">
								<?php the_excerpt(); ?>
							</div><!-- .entry-caption -->
							<?php endif; ?>
						</div><!-- .entry-attachment -->
						<?php the_content(); ?>
						<?php wp_link_pages( array( 'before' => '<div class="page-links">' . 'Страницы:', 'after' => '</div>' ) ); ?>
					<nav id="image-navigation" class="site-navigation">
							<span class="nav-previous"><?php previous_image_link( false, '&larr; Previous' ); ?></span>
							<span class="nav-next"><?php next_image_link( false, 'Next &rarr;' ); ?></span>
					</nav><!-- #image-navigation -->
					</div><!-- .entry-content -->
					<footer class="entry-meta">
						<?php if ( comments_open() && pings_open() ) : // Comments and trackbacks open ?>
							<?php printf( '<a class="comment-link" href="#respond" title="Опубликовать комментарий">Опубликовать комментарий</a> или оставить ссылку: <a class="trackback-link" href="%s" title="Оставить ссылку" rel="trackback">ссылка</a>.', get_trackback_url() ); ?>
						<?php elseif ( ! comments_open() && pings_open() ) : // Only trackbacks open ?>
							<?php printf( 'Комментарии закрыты, но Вы можете оставить ссылку: <a class="trackback-link" href="%s" title="Ссылка на этот комментарий" rel="trackback">Ссылка</a>.', get_trackback_url() ); ?>
						<?php elseif ( comments_open() && ! pings_open() ) : // Only comments open ?>
							Ссылки закрыты, но вы можете оставить <a class="comment-link" href="#respond" title="Оставить комментарий">комментарий</a>.
						<?php elseif ( ! comments_open() && ! pings_open() ) : // Comments and trackbacks closed ?>
							Комментирование и размещение ссылок запрещено.
						<?php endif; ?>
						<?php edit_post_link( 'Редактировать', '<span class="sep"> | </span> <i class="fa fa-pencil"></i> <span class="edit-link">', '</span>' ); ?>
					</footer><!-- .entry-meta -->
				</article><!-- #post-<?php the_ID(); ?> -->
				<?php comments_template(); ?>
			<?php endwhile; // end of the loop. ?>
			</div><!-- #content .site-content -->
		</div><!-- #primary .content-area .image-attachment -->
<?php get_footer(); ?>