<?php

add_action( 'admin_init', 'siempel_theme_options_init' );
add_action( 'admin_menu', 'siempel_theme_options_add_page' );

function siempel_theme_options_init(){
	register_setting( 'siempel_options', 'siempel_theme_options', 'siempel_theme_options_validate' );
}

function siempel_theme_options_add_page() {
	add_theme_page( 'Siempel Themes Options', 'Themes Options', 'edit_theme_options', 'theme-options', 'siempel_theme_options_page' );
}

function siempel_theme_options_page() {

	if ( ! isset( $_REQUEST['settings-updated'] ) )
		$_REQUEST['settings-updated'] = false;

	?>
	<div class="wrap">
		<?php screen_icon(); echo "<h2>Siempel Themes Options</h2>"; ?>

		<?php if ( false !== $_REQUEST['settings-updated'] ) : ?>
		<div class="updated"><p><strong>Настройки сохранены!</strong></p></div>
		<?php endif; ?>

		<form method="post" action="options.php">
			<?php settings_fields( 'siempel_options' ); ?>
			<?php $options = get_option( 'siempel_theme_options' ); ?>

			<table class="form-table">
			
				<tr valign="top"><th scope="row">Ссылка на фото</th>
					<td>
						<input id="siempel_theme_options[foto]" class="regular-text" type="text" name="siempel_theme_options[foto]" value="<?php echo esc_url_raw( $options['foto'] ); ?>">
						<p class="description" for="siempel_theme_options[foto]">Вы можете загрузить фото с помощью меню, после чего скопировать ссылку. Вставьте ее здесь!</p>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row">Ваше полное имя</th>
					<td>
						<input id="siempel_theme_options[namalengkap]" class="regular-text" type="text" name="siempel_theme_options[namalengkap]" value="<?php echo esc_textarea( $options['namalengkap'] ); ?>">
						<p class="description" for="siempel_theme_options[namalengkap]">Введите Ваше полное имя.</p>
					</td>
				</tr>

				<tr valign="top"><th scope="row">Обо мне</th>
					<td>
						<textarea id="siempel_theme_options[tentang]" class="large-text" cols="50" rows="10" name="siempel_theme_options[tentang]"><?php echo esc_textarea( $options['tentang'] ); ?></textarea>
						<p class="description" for="siempel_theme_options[tentang]">Напишите здесь то, что вы о себе думаете.</p>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row">Facebook</th>
					<td>
						<input id="siempel_theme_options[facebook]" class="regular-text" type="text" name="siempel_theme_options[facebook]" value="<?php echo esc_url_raw( $options['facebook'] ); ?>">
						<p class="description" for="siempel_theme_options[facebook]">Ссылка на Ваш профиль в Facebook, например http://www.facebook.com/dhmskrn</p>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row">Twitter</th>
					<td>
						<input id="siempel_theme_options[twitter]" class="regular-text" type="text" name="siempel_theme_options[twitter]" value="<?php echo esc_url_raw( $options['twitter'] ); ?>">
						<p class="description" for="siempel_theme_options[twitter]">Ссылка на Ваш профиль в twitter, например http://twitter.com/dhmskrn</p>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row">Google Plus</th>
					<td>
						<input id="siempel_theme_options[gplus]" class="regular-text" type="text" name="siempel_theme_options[gplus]" value="<?php echo esc_textarea( $options['gplus'] ); ?>">
						<p class="description" for="siempel_theme_options[gplus]">Your google plus profile URL, for example http://gplus.to/dhmskrn</p>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row">Email</th>
					<td>
						<input id="siempel_theme_options[email]" class="regular-text" type="text" name="siempel_theme_options[email]" value="<?php echo esc_textarea( $options['email'] ); ?>">
						<p class="description" for="siempel_theme_options[email]">Your valid email, for example yourmail@example.com</p>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row">Dribbble</th>
					<td>
						<input id="siempel_theme_options[dribbble]" class="regular-text" type="text" name="siempel_theme_options[dribbble]" value="<?php echo esc_url_raw( $options['dribbble'] ); ?>">
						<p class="description" for="siempel_theme_options[dribbble]">Your dribbble profile URL, for example http://dribbble.com/dhmskrn</p>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row">Github</th>
					<td>
						<input id="siempel_theme_options[github]" class="regular-text" type="text" name="siempel_theme_options[github]" value="<?php echo esc_url_raw( $options['github'] ); ?>">
						<p class="description" for="siempel_theme_options[github]">Your github profile URL, for example http://github.com/dhmskrn</p>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row">Youtube</th>
					<td>
						<input id="siempel_theme_options[youtube]" class="regular-text" type="text" name="siempel_theme_options[youtube]" value="<?php echo esc_url_raw( $options['youtube'] ); ?>">
						<p class="description" for="siempel_theme_options[youtube]">Your youtube profile URL, for example http://www.youtube.com/user/dhmskrn</p>
					</td>
				</tr>
				
				<tr valign="top"><th scope="row">Custom CSS</th>
					<td>
						<textarea id="siempel_theme_options[css]" class="large-text" cols="50" rows="10" name="siempel_theme_options[css]"><?php echo esc_textarea( $options['css'] ); ?></textarea>
						<p class="description" for="siempel_theme_options[css]">You can insert custom css here.</p>
					</td>
				</tr>
				
			</table>

			<p class="submit">
				<input type="submit" class="button-primary" value="Save Options" />
			</p>
		</form>
	</div>
	<?php
}

/**
 * Sanitize and validate input. Accepts an array, return a sanitized array.
 */
function siempel_theme_options_validate( $input ) {
	$input['foto'] = wp_filter_post_kses( $input['foto'] );
	$input['namalengkap'] = wp_filter_post_kses( $input['namalengkap'] );
	$input['tentang'] = wp_filter_post_kses( $input['tentang'] );
	$input['facebook'] = wp_filter_post_kses( $input['facebook'] );
	$input['twitter'] = wp_filter_post_kses( $input['twitter'] );
	$input['gplus'] = wp_filter_post_kses( $input['gplus'] );
	$input['email'] = wp_filter_post_kses( $input['email'] );
	$input['dribbble'] = wp_filter_post_kses( $input['dribbble'] );
	$input['github'] = wp_filter_post_kses( $input['github'] );
	$input['youtube'] = wp_filter_post_kses( $input['youtube'] );
	$input['css'] = wp_filter_post_kses( $input['css'] );	
	return $input;
}